#
# spec file for package python-requests-toolbelt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define short_name requests-toolbelt

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-requests-toolbelt
Version:        0.7.0
Release:        2.1
Summary:        Utility belt for advanced users of python-requests
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://pypi.io/packages/source/r/requests-toolbelt/%{version}
Source:         %{short_name}-%{version}.tar.gz
BuildRequires:  %{python_module betamax}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       %{python_module requests}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
This is just a collection of utilities for python-requests, but don't really belong in requests proper. The minimum tested requests version is 2.1.0. In reality, the toolbelt should work with 2.0.1 as well, but some idiosyncracies prevent effective or sane testing on that version.

%prep
%setup -q -n %{short_name}-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root)
%doc AUTHORS.rst HISTORY.rst README.rst LICENSE
%{python_sitelib}/*

%changelog
* Tue May 16 2017 dmueller@suse.com
- convert to singlespec
* Thu Jan 19 2017 dmueller@suse.com
- use pypi.io source link
* Wed Jan 18 2017 michael@stroeder.com
- update to upstream release 0.7.0
- simply rely on python_sitelib macro when installing files
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Mon Nov 17 2014 seiler@b1-systems.de
- added explicit version dependency for python-request to avoid build errors
  for old distributions
* Thu Nov 13 2014 seiler@b1-systems.de
- added python-requests to build requirements to do python tests
* Wed Nov  5 2014 seiler@b1-systems.de
- inital commit
